IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/24
Addresses2^104
/64 networks2^40
- Network
ff00:df00::/24- First address
ff00:df00::- Last address
ff00:dfff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 20,282,409,603,651,670,423,947,251,286,016 (2^104)
- /64 networks (LANs)
- 1,099,511,627,776 (2^40)
- Full form
ff00:df00:0000:0000:0000:0000:0000:0000- Type
- Multicast ff00::/8
One-to-many traffic; replaces broadcast - Reverse DNS zone
f.d.0.0.f.f.ip6.arpa
Split into smaller subnets
ff00:df00::/24 makes 256 subnets of /32.
| # | Subnet | Last address |
|---|---|---|
| 1 | ff00:df00::/32 | ff00:df00:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | ff00:df01::/32 | ff00:df01:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | ff00:df02::/32 | ff00:df02:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | ff00:df03::/32 | ff00:df03:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | ff00:df04::/32 | ff00:df04:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | ff00:df05::/32 | ff00:df05:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | ff00:df06::/32 | ff00:df06:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | ff00:df07::/32 | ff00:df07:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | ff00:df08::/32 | ff00:df08:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | ff00:df09::/32 | ff00:df09:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | ff00:df0a::/32 | ff00:df0a:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | ff00:df0b::/32 | ff00:df0b:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | ff00:df0c::/32 | ff00:df0c:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | ff00:df0d::/32 | ff00:df0d:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | ff00:df0e::/32 | ff00:df0e:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | ff00:df0f::/32 | ff00:df0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | ff00:df10::/32 | ff00:df10:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | ff00:df11::/32 | ff00:df11:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | ff00:df12::/32 | ff00:df12:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | ff00:df13::/32 | ff00:df13:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | ff00:df14::/32 | ff00:df14:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | ff00:df15::/32 | ff00:df15:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | ff00:df16::/32 | ff00:df16:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | ff00:df17::/32 | ff00:df17:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | ff00:df18::/32 | ff00:df18:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | ff00:df19::/32 | ff00:df19:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | ff00:df1a::/32 | ff00:df1a:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | ff00:df1b::/32 | ff00:df1b:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | ff00:df1c::/32 | ff00:df1c:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | ff00:df1d::/32 | ff00:df1d:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | ff00:df1e::/32 | ff00:df1e:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | ff00:df1f::/32 | ff00:df1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | ff00:df20::/32 | ff00:df20:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | ff00:df21::/32 | ff00:df21:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | ff00:df22::/32 | ff00:df22:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | ff00:df23::/32 | ff00:df23:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | ff00:df24::/32 | ff00:df24:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | ff00:df25::/32 | ff00:df25:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | ff00:df26::/32 | ff00:df26:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | ff00:df27::/32 | ff00:df27:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | ff00:df28::/32 | ff00:df28:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | ff00:df29::/32 | ff00:df29:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | ff00:df2a::/32 | ff00:df2a:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | ff00:df2b::/32 | ff00:df2b:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | ff00:df2c::/32 | ff00:df2c:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | ff00:df2d::/32 | ff00:df2d:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | ff00:df2e::/32 | ff00:df2e:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | ff00:df2f::/32 | ff00:df2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | ff00:df30::/32 | ff00:df30:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | ff00:df31::/32 | ff00:df31:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | ff00:df32::/32 | ff00:df32:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | ff00:df33::/32 | ff00:df33:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | ff00:df34::/32 | ff00:df34:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | ff00:df35::/32 | ff00:df35:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | ff00:df36::/32 | ff00:df36:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | ff00:df37::/32 | ff00:df37:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | ff00:df38::/32 | ff00:df38:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | ff00:df39::/32 | ff00:df39:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | ff00:df3a::/32 | ff00:df3a:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | ff00:df3b::/32 | ff00:df3b:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | ff00:df3c::/32 | ff00:df3c:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | ff00:df3d::/32 | ff00:df3d:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | ff00:df3e::/32 | ff00:df3e:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | ff00:df3f::/32 | ff00:df3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | ff00:df40::/32 | ff00:df40:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | ff00:df41::/32 | ff00:df41:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | ff00:df42::/32 | ff00:df42:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | ff00:df43::/32 | ff00:df43:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | ff00:df44::/32 | ff00:df44:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | ff00:df45::/32 | ff00:df45:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | ff00:df46::/32 | ff00:df46:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | ff00:df47::/32 | ff00:df47:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | ff00:df48::/32 | ff00:df48:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | ff00:df49::/32 | ff00:df49:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | ff00:df4a::/32 | ff00:df4a:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | ff00:df4b::/32 | ff00:df4b:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | ff00:df4c::/32 | ff00:df4c:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | ff00:df4d::/32 | ff00:df4d:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | ff00:df4e::/32 | ff00:df4e:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | ff00:df4f::/32 | ff00:df4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | ff00:df50::/32 | ff00:df50:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | ff00:df51::/32 | ff00:df51:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | ff00:df52::/32 | ff00:df52:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | ff00:df53::/32 | ff00:df53:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | ff00:df54::/32 | ff00:df54:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | ff00:df55::/32 | ff00:df55:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | ff00:df56::/32 | ff00:df56:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | ff00:df57::/32 | ff00:df57:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | ff00:df58::/32 | ff00:df58:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | ff00:df59::/32 | ff00:df59:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | ff00:df5a::/32 | ff00:df5a:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | ff00:df5b::/32 | ff00:df5b:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | ff00:df5c::/32 | ff00:df5c:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | ff00:df5d::/32 | ff00:df5d:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | ff00:df5e::/32 | ff00:df5e:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | ff00:df5f::/32 | ff00:df5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | ff00:df60::/32 | ff00:df60:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | ff00:df61::/32 | ff00:df61:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | ff00:df62::/32 | ff00:df62:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | ff00:df63::/32 | ff00:df63:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | ff00:df64::/32 | ff00:df64:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | ff00:df65::/32 | ff00:df65:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | ff00:df66::/32 | ff00:df66:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | ff00:df67::/32 | ff00:df67:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | ff00:df68::/32 | ff00:df68:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | ff00:df69::/32 | ff00:df69:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | ff00:df6a::/32 | ff00:df6a:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | ff00:df6b::/32 | ff00:df6b:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | ff00:df6c::/32 | ff00:df6c:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | ff00:df6d::/32 | ff00:df6d:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | ff00:df6e::/32 | ff00:df6e:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | ff00:df6f::/32 | ff00:df6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | ff00:df70::/32 | ff00:df70:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | ff00:df71::/32 | ff00:df71:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | ff00:df72::/32 | ff00:df72:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | ff00:df73::/32 | ff00:df73:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | ff00:df74::/32 | ff00:df74:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | ff00:df75::/32 | ff00:df75:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | ff00:df76::/32 | ff00:df76:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | ff00:df77::/32 | ff00:df77:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | ff00:df78::/32 | ff00:df78:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | ff00:df79::/32 | ff00:df79:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | ff00:df7a::/32 | ff00:df7a:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | ff00:df7b::/32 | ff00:df7b:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | ff00:df7c::/32 | ff00:df7c:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | ff00:df7d::/32 | ff00:df7d:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | ff00:df7e::/32 | ff00:df7e:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | ff00:df7f::/32 | ff00:df7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | ff00:df80::/32 | ff00:df80:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | ff00:df81::/32 | ff00:df81:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | ff00:df82::/32 | ff00:df82:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | ff00:df83::/32 | ff00:df83:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | ff00:df84::/32 | ff00:df84:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | ff00:df85::/32 | ff00:df85:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | ff00:df86::/32 | ff00:df86:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | ff00:df87::/32 | ff00:df87:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | ff00:df88::/32 | ff00:df88:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | ff00:df89::/32 | ff00:df89:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | ff00:df8a::/32 | ff00:df8a:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | ff00:df8b::/32 | ff00:df8b:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | ff00:df8c::/32 | ff00:df8c:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | ff00:df8d::/32 | ff00:df8d:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | ff00:df8e::/32 | ff00:df8e:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | ff00:df8f::/32 | ff00:df8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | ff00:df90::/32 | ff00:df90:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | ff00:df91::/32 | ff00:df91:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | ff00:df92::/32 | ff00:df92:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | ff00:df93::/32 | ff00:df93:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | ff00:df94::/32 | ff00:df94:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | ff00:df95::/32 | ff00:df95:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | ff00:df96::/32 | ff00:df96:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | ff00:df97::/32 | ff00:df97:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | ff00:df98::/32 | ff00:df98:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | ff00:df99::/32 | ff00:df99:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | ff00:df9a::/32 | ff00:df9a:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | ff00:df9b::/32 | ff00:df9b:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | ff00:df9c::/32 | ff00:df9c:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | ff00:df9d::/32 | ff00:df9d:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | ff00:df9e::/32 | ff00:df9e:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | ff00:df9f::/32 | ff00:df9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | ff00:dfa0::/32 | ff00:dfa0:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | ff00:dfa1::/32 | ff00:dfa1:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | ff00:dfa2::/32 | ff00:dfa2:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | ff00:dfa3::/32 | ff00:dfa3:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | ff00:dfa4::/32 | ff00:dfa4:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | ff00:dfa5::/32 | ff00:dfa5:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | ff00:dfa6::/32 | ff00:dfa6:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | ff00:dfa7::/32 | ff00:dfa7:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | ff00:dfa8::/32 | ff00:dfa8:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | ff00:dfa9::/32 | ff00:dfa9:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | ff00:dfaa::/32 | ff00:dfaa:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | ff00:dfab::/32 | ff00:dfab:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | ff00:dfac::/32 | ff00:dfac:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | ff00:dfad::/32 | ff00:dfad:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | ff00:dfae::/32 | ff00:dfae:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | ff00:dfaf::/32 | ff00:dfaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | ff00:dfb0::/32 | ff00:dfb0:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | ff00:dfb1::/32 | ff00:dfb1:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | ff00:dfb2::/32 | ff00:dfb2:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | ff00:dfb3::/32 | ff00:dfb3:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | ff00:dfb4::/32 | ff00:dfb4:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | ff00:dfb5::/32 | ff00:dfb5:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | ff00:dfb6::/32 | ff00:dfb6:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | ff00:dfb7::/32 | ff00:dfb7:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | ff00:dfb8::/32 | ff00:dfb8:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | ff00:dfb9::/32 | ff00:dfb9:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | ff00:dfba::/32 | ff00:dfba:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | ff00:dfbb::/32 | ff00:dfbb:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | ff00:dfbc::/32 | ff00:dfbc:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | ff00:dfbd::/32 | ff00:dfbd:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | ff00:dfbe::/32 | ff00:dfbe:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | ff00:dfbf::/32 | ff00:dfbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | ff00:dfc0::/32 | ff00:dfc0:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | ff00:dfc1::/32 | ff00:dfc1:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | ff00:dfc2::/32 | ff00:dfc2:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | ff00:dfc3::/32 | ff00:dfc3:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | ff00:dfc4::/32 | ff00:dfc4:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | ff00:dfc5::/32 | ff00:dfc5:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | ff00:dfc6::/32 | ff00:dfc6:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | ff00:dfc7::/32 | ff00:dfc7:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | ff00:dfc8::/32 | ff00:dfc8:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | ff00:dfc9::/32 | ff00:dfc9:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | ff00:dfca::/32 | ff00:dfca:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | ff00:dfcb::/32 | ff00:dfcb:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | ff00:dfcc::/32 | ff00:dfcc:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | ff00:dfcd::/32 | ff00:dfcd:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | ff00:dfce::/32 | ff00:dfce:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | ff00:dfcf::/32 | ff00:dfcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | ff00:dfd0::/32 | ff00:dfd0:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | ff00:dfd1::/32 | ff00:dfd1:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | ff00:dfd2::/32 | ff00:dfd2:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | ff00:dfd3::/32 | ff00:dfd3:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | ff00:dfd4::/32 | ff00:dfd4:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | ff00:dfd5::/32 | ff00:dfd5:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | ff00:dfd6::/32 | ff00:dfd6:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | ff00:dfd7::/32 | ff00:dfd7:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | ff00:dfd8::/32 | ff00:dfd8:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | ff00:dfd9::/32 | ff00:dfd9:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | ff00:dfda::/32 | ff00:dfda:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | ff00:dfdb::/32 | ff00:dfdb:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | ff00:dfdc::/32 | ff00:dfdc:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | ff00:dfdd::/32 | ff00:dfdd:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | ff00:dfde::/32 | ff00:dfde:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | ff00:dfdf::/32 | ff00:dfdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | ff00:dfe0::/32 | ff00:dfe0:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | ff00:dfe1::/32 | ff00:dfe1:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | ff00:dfe2::/32 | ff00:dfe2:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | ff00:dfe3::/32 | ff00:dfe3:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | ff00:dfe4::/32 | ff00:dfe4:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | ff00:dfe5::/32 | ff00:dfe5:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | ff00:dfe6::/32 | ff00:dfe6:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | ff00:dfe7::/32 | ff00:dfe7:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | ff00:dfe8::/32 | ff00:dfe8:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | ff00:dfe9::/32 | ff00:dfe9:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | ff00:dfea::/32 | ff00:dfea:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | ff00:dfeb::/32 | ff00:dfeb:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | ff00:dfec::/32 | ff00:dfec:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | ff00:dfed::/32 | ff00:dfed:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | ff00:dfee::/32 | ff00:dfee:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | ff00:dfef::/32 | ff00:dfef:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | ff00:dff0::/32 | ff00:dff0:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | ff00:dff1::/32 | ff00:dff1:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | ff00:dff2::/32 | ff00:dff2:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | ff00:dff3::/32 | ff00:dff3:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | ff00:dff4::/32 | ff00:dff4:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | ff00:dff5::/32 | ff00:dff5:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | ff00:dff6::/32 | ff00:dff6:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | ff00:dff7::/32 | ff00:dff7:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | ff00:dff8::/32 | ff00:dff8:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | ff00:dff9::/32 | ff00:dff9:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | ff00:dffa::/32 | ff00:dffa:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | ff00:dffb::/32 | ff00:dffb:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | ff00:dffc::/32 | ff00:dffc:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | ff00:dffd::/32 | ff00:dffd:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | ff00:dffe::/32 | ff00:dffe:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | ff00:dfff::/32 | ff00:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |